[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Math' (#rtl)

# Floor64

Round to the nearest smaller int64 value

## Declaration

Source position: math.pp line 411

`function Floor64(`
`x: Float`
`):Int64;`

## Description

Floor64 rounds the value Xto the nearest smaller int64 value. The result is always smaller than X.

## Errors

None.

## See also

floor |  | Return the largest integer smaller than or equal to argument
ceil64 |  | Round to the nearest bigger int64 value